Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAnyFactory Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAnyFactory:

[legend]
Collaboration diagram for DynamicAny::DynAnyFactory:

[legend]
List of all members.

## Public Types
typedef DynAnyFactory_ptr | _ptr_type
typedef DynAnyFactory_var | _var_type
## Public Methods
virtual::DynamicAny::DynAny_ptr | create_dyn_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAnyFactory::InconsistentTypeCode )
virtual::DynamicAny::DynAny_ptr | create_dyn_any_from_type_code (CORBA::TypeCode_ptr type ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAnyFactory::InconsistentTypeCode )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynAnyFactory_ptr | _duplicate (DynAnyFactory_ptr obj)
DynAnyFactory_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynAnyFactory_ptr | _nil (void)
## Protected Methods
| DynAnyFactory (void)
virtual | ~DynAnyFactory (void)
## Private Methods
| DynAnyFactory (const DynAnyFactory &)
void | operator= (const DynAnyFactory &)

## Member Typedef Documentation

typedef DynAnyFactory_ptr DynamicAny::DynAnyFactory::_ptr_type

| Reimplemented from CORBA::Object.

typedef DynAnyFactory_var DynamicAny::DynAnyFactory::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

DynamicAny::DynAnyFactory::DynAnyFactory | ( | void |  | ) | `[protected]`

DynamicAny::DynAnyFactory::~DynAnyFactory | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynAnyFactory::DynAnyFactory | ( | const DynAnyFactory & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynAnyFactory_ptr DynamicAny::DynAnyFactory::_duplicate | ( | DynAnyFactory_ptr | obj | ) | `[static]`

const char * DynamicAny::DynAnyFactory::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean DynamicAny::DynAnyFactory::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

DynAnyFactory_ptr DynamicAny::DynAnyFactory::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

DynAnyFactory_ptr DynamicAny::DynAnyFactory::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynAnyFactory::create_dyn_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAnyFactory::InconsistentTypeCode )`[pure virtual]`

| Implemented in TAO_DynAnyFactory.

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynAnyFactory::create_dyn_any_from_type_code | ( | CORBA::TypeCode_ptr type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAnyFactory::InconsistentTypeCode )`[pure virtual]`

| Implemented in TAO_DynAnyFactory.

CORBA::Boolean DynamicAny::DynAnyFactory::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void DynamicAny::DynAnyFactory::operator= | ( | const DynAnyFactory & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp